%global pypi_name s-tui
%global sys_name s_tui

Name:       python-%{pypi_name}
Version:    1.1.1
Release:    2%{?dist}
Summary:    Terminal-based CPU stress and monitoring utility
BuildArch:  noarch

License:    GPLv2+
URL:        https://github.com/amanusk/s-tui
Source0:    %{pypi_source}
Source1:    https://raw.githubusercontent.com/amanusk/%{pypi_name}/master/LICENSE

BuildRequires: python3-devel
BuildRequires: python3dist(setuptools)

%global _description %{expand:
Stress-Terminal UI, s-tui, monitors CPU temperature, frequency, power and
utilization in a graphical way from the terminal.

What it does

  * Monitoring your CPU temperature/utilization/frequency/power
  * Shows performance dips caused by thermal throttling
  * Requires no X-server
  * Built in options for stressing the CPU (stress/stress-ng/FIRESTARTER)}

%description %{_description}


%package -n python3-%{pypi_name}
Summary:    %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Recommends: stress-ng

%description -n python3-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version} -p1

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info


%build
%py3_build


%install
%py3_install
install -Dpm0644 %{SOURCE1} -t %{buildroot}%{_licensedir}/python3-%{pypi_name}/

# Remove shebang from Python libraries
for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/*.py; do
 sed '1{\@^#!/usr/bin/env python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done

for lib in %{buildroot}%{python3_sitelib}/%{sys_name}/*.py; do
 sed '1{\@^#!/usr/bin/python@d}' $lib > $lib.new &&
 touch -r $lib $lib.new &&
 mv $lib.new $lib
done


%files -n python3-%{pypi_name}

# Provide license file on PyPI
# https://github.com/amanusk/s-tui/issues/172
%license LICENSE

%doc README.md
%{_bindir}/%{pypi_name}
%{python3_sitelib}/%{sys_name}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{sys_name}/


%changelog
* Tue Mar 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.1-2
- Initial package
